#!/bin/sh
# Author:		和岩波
# Description:	单个固件包升级程序
# Date:			2019-10-28

set -x

WORK_DIR=`dirname $0`

#检测机器的架构,错误马上退出
CHECH_ARCH=`uname -m`
if [ "${CHECH_ARCH}" != "mips" ];then
    echo "Machine architecture error."
    echo ${CHECH_ARCH}
    exit 1
fi

#检测内核版本，错误马上退出
CHECH_KERNEL=`uname -r`
if [ "${CHECH_KERNEL}" != "3.18.23" ];then
    echo "Kernel version error."
    echo ${CHECH_KERNEL}
    exit 1
fi

#upgrade kernel
UIMAGW_FILE_PREFIX=uImage-adventurer3
ls -1t ${WORK_DIR}/${UIMAGW_FILE_PREFIX}*
if [ $? -eq 0 ]; then
	SRC_UIMAGE=`ls -1t ${WORK_DIR}/${UIMAGW_FILE_PREFIX}* | head -n 1`
	echo "source uImage file: ${SRC_UIMAGE}"
	if [ -f $SRC_UIMAGE ]; then
		echo "update uImage"
		dd if=$SRC_UIMAGE of=/dev/mmcblk0 seek=10 bs=512
		sync
	fi
fi

exit 0
