#!/bin/sh
# Author:		和岩波
# Description:	单个固件包升级程序
# Date:			2019-10-28

set -x

WORK_DIR=`dirname $0`

STM_FIRMWARE_M3=Adventurer3-ISP-STM-2.1.0-20210409.hex
HK_FIRMWARE_M3=Adventurer3-ISP-HK-2.1.0-20210409.hex
NATION_FIRMWARE_M3=Adventurer3-IAP-2.1.0-20210409.hex

#检测机器的架构,错误马上退出
CHECH_ARCH=`uname -m`
if [ "${CHECH_ARCH}" != "mips" ];then
    echo "Machine architecture error."
    echo ${CHECH_ARCH}
    exit 1
fi

#检测内核版本，错误马上退出
CHECH_KERNEL=`uname -r`
if [ "${CHECH_KERNEL}" != "3.18.23" ];then
    echo "Kernel version error."
    echo ${CHECH_KERNEL}
    exit 1
fi

if [ -f $WORK_DIR/IAPCommand -a -f $WORK_DIR/ISPCommand ];then
	chmod a+x $WORK_DIR/IAPCommand
	chmod a+x $WORK_DIR/ISPCommand
	if [ -f $WORK_DIR/$NATION_FIRMWARE_M3 -a -f $WORK_DIR/$STM_FIRMWARE_M3 -a -f $WORK_DIR/$HK_FIRMWARE_M3 ];then
		echo "burn M3 firmware..."
		$WORK_DIR/IAPCommand $WORK_DIR/$NATION_FIRMWARE_M3 $WORK_DIR $STM_FIRMWARE_M3 $HK_FIRMWARE_M3
	fi
fi

exit 0
